| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/algorithms.h File Reference

General Algorithms. More...

Go to the source code of this file.

## Namespaces
namespace | CS
## Classes
struct | CS::ConditionAnd< T1, T2 >
## Functions
template<class T, class Fn, class P>
CS_FORCEINLINE_TEMPLATEMETHOD Fn & | CS::ForEach (T it, Fn &Func, P &p)
| Iterate over all elements in the iterator and perform operation given by Func.
template<class T, class Fn>
CS_FORCEINLINE_TEMPLATEMETHOD Fn & | CS::ForEach (T *start, T *end, Fn &Func)
| Iterate over all elements in the list and perform operation given by Func.
template<class T, class Fn>
CS_FORCEINLINE_TEMPLATEMETHOD Fn & | CS::ForEach (T it, Fn &Func)
| Iterate over all elements in the iterator and perform operation given by Func.
template<class T>
CS_FORCEINLINE_TEMPLATEMETHOD void | CS::Swap (T &a, T &b)
| Swap two elements.

## Detailed Description

General Algorithms.

Definition in file algorithms.h.